## fig 1.0.0

=== DESCRIPTION ===
Package: fig
Title: A Config Package with No "Con"
Version: 1.0.0
Authors@R: 
  c(
    person("Tymoteusz", "Makowski", role = c("cre", "aut"), email = "makowski.tymoteusz@gmail.com")
  )
Description: Work with configs with a source precedence. Either create own R6
  instance or work with convenient functions at a package level.
URL: https://github.com/TymekDev/fig
BugReports: https://github.com/TymekDev/fig/issues
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.1.2
Imports: R6
Suggests: covr, testthat (>= 3.0.0), withr
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2022-03-31 11:31:23 UTC; tmakowski
Author: Tymoteusz Makowski [cre, aut]
Maintainer: Tymoteusz Makowski <makowski.tymoteusz@gmail.com>
Repository: CRAN
Date/Publication: 2022-03-31 13:50:02 UTC

=== requirements.txt ===
PyYAML==3.10
docker-py==0.5.3
docopt==0.6.1
requests==2.2.1
six==1.7.3
texttable==0.8.1
websocket-client==0.11.0

=== debian/changelog ===
fig (1.0.0-1) unstable; urgency=low

  * Initial packaging. Closes: #7674440
    - Bundle bootstrap less source

 -- Felipe Sateler <fsateler@debian.org>  Tue, 11 Nov 2014 15:19:49 -0300

=== debian/control ===
Source: fig
Maintainer: Felipe Sateler <fsateler@debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 9),
 python (>= 2.6.6-3),
 dh-python,
 python-setuptools (>= 0.6b3),
 python-docker (>= 0.5.3),
 python-docopt (>= 0.6.1),
 python-yaml (>= 3.10),
 python-requests (>= 2.2.1),
 python-six (>= 1.7.3),
 python-texttable (>= 0.8.1),
 python-websocket (>= 0.11),
 python-mock (>= 1.0.1),
 python-nose,
 python-flake8,
 ruby,
 jekyll,
Standards-Version: 3.9.6
X-Python-Version: >= 2.5

Package: fig
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Punctual, lightweight development environments using Docker
 Fig is a service management software built on top of docker. Define your
 services and their relationships in a simple YAML file, and let fig
 handle the rest.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fig
%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean --buildsystem=pybuild
	rm -rf docs/html

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	cd docs && jekyll build --destination html

override_dh_auto_test:
	# tests disabled because they require networking

test:
	python setup.py test

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fig-$1\.tar\.gz/ \
  https://github.com/docker/fig/tags .*/v?(\d\S*)\.tar\.gz

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#https://github.com/docker/fig/releases fig-(.*)\.tar\.gz
#http://www.example.com/downloads.php #PACKAGE#-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/#PACKAGE#-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/#PACKAGE#-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/#PACKAGE#/#PACKAGE#-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html #PACKAGE#-(.*)\.tar\.gz
